## -*- coding: utf-8 -*-
<%!  import mpulsweb.lib.helper.filters as F %>
<%inherit file="../main.mako" />
<%
  formular_labels = {'name'  : 'adm_form_usergroup_name'
                      }
%>
<%def name="buildNavipath()">
  ${parent.buildNavipath()}
  <li><a href="${h.url_for(controller='/administration')}">${_('adm_np_root')}</a></li>
  <li><a href="${h.url_for(controller='/administration', action='overviewUserGroups')}">${_('adm_np_usergroup_overview')}</a></li>
  <li><a href="${h.url_for(controller='/administration', action='editUserGroup', id=c.group.id)}">${_('adm_np_editusergroup')}</a></li>
</%def>
<div id="content_header_small">
  <div id="content_ueberschrift">
 ${_('adm_header_editusergroup')}
  </div>
  <div id="modusfield">
    <div class="actions">
      <ul>
        <li><a href="${h.url_for(controller='administration', action='overviewUserGroups')}"> ${_('menu_adm_link_usergroupoverview_back')}
            </a>
        </li>
      </ul>
    </div>
  </div>
</div>
${self.buildFormErrors(formular_labels)}
<div id="admin_new_user">
  <div id="waska_form">
    <form action="${h.url_for(controller='/administration', action='editUserGroupAction')}" method="POST">
      <input type="hidden" name="id">
      <fieldset><legend>${_('adm_form_legend_groupdata')}</legend>
        <div class="w25">
        % if c.form_errors.get('name'):
          <label for="name" class="error_font">${_('adm_form_usergroup_name')}</label><br>
            <input type="text" class="field error_box" id="name" name="name" maxlength="128">
        % else:
          <label for="name">${_('adm_form_usergroup_name')}</label><br>
          <input type="text" class="field" id="name" name="name" maxlength="128">
        % endif
        </div>
      </fieldset>
      <fieldset><legend>${_('adm_form_legende_groupmember')}</legend>
        <table>
          <tr>
            <th class="table_header_h table_checkbox">&nbsp;</th>
            <th class="table_header_h table_description">Mitarbeiterin / Mitarbeiter</th>
          </tr>
          <% idset = True %>
          % for user in c.userlist:
          <tr>
          % if idset:
            <td>
              <input type="checkbox" name="standin" value="${user.id}">
            </td>
            <td>
              ${user.last_name | F.NA}, ${user.first_name | F.NA}
            </td>
          % else:
            <td class="table_row_v_12">
              <input type="checkbox" name="standin" value="${user.id}">
            </td>
            <td class="table_row_v_12">
              ${user.last_name | F.NA}, ${user.first_name | F.NA}
            </td>
          % endif
          </tr>
          <% idset = not idset %>
          % endfor
        </table>
      </fieldset>
    <input type="submit" value="${_('adm_form_usergroup_submit')}">
    </form>
  </div>
</div>
