## -*- coding: utf-8 -*-
<%inherit file="../main.mako" />
<%!  import mpulsweb.lib.helper.filters as F %>
<%def name="buildNavipath()">
		${parent.buildNavipath()}
	<li><a href="${h.url_for(controller='/document', action='globalOverview')}">${_('doc_np_overview')}</a></li>
</%def>
<div id="content_header_small">
  <div id="content_ueberschrift">
${_('doc_header_overview')}
  </div>
% if h.hasRole(['admin_ka']):
  <div id="modusfield">
    <div class="actions">
        <ul>
            <li><a href="${h.url_for(controller='/document', action='globalUpload')}"> ${_('doc_actions_link_new')}</a></li>
        </ul>
    </div>

  </div>
% endif
</div>

<table class="hovertable">
  <tr class="table_header_h">
    <th class="table_description">${_('doc_overview_tbl_header_filename')}</th>
    <th class="number_field table_date">${_('doc_overview_tbl_header_filesize')}</th>
    <th class="table_action">${_('doc_overview_tbl_header_actions')}</th>
  </tr>
  <% idset = 0 %>
% if len(c.files) > 0:
  <% kb = lambda x: h.format_number(x * 1.0/1024.0) %>
  % for f in c.files:
  % if idset==0:
  <tr>
    <td>
        <a href="${h.url_for(controller='/document', action='globalShow', id=f.id, url=f.getName())}" target="_blank">${ f.getName() | F.shorten}</a>
    </td>
    <td class="number_field">
        ${kb(f.size)} KB
    </td>
    <td class="table_action">
        <a href="${h.url_for(controller='/document', action='globalShow', id=f.id, url=f.getName())}" target="_blank"><img src="${h.url_for('/images/icons/open_active_22.png')}" border="0" alt="${_('cm_overview_a_show')}" 
        title="${_('cm_overview_a_show')}" title="${_('cm_overview_a_show')}"></a>
        % if h.hasRole(['admin_ka']):
        <a href="${h.url_for(controller='/document', action='globalDelete', id=f.id)}"><img src="${h.url_for('/images/icons/delete_active_22.png')}" border="0" alt="${_('cm_overview_a_delete')}" title="${_('cm_overview_a_delete')}"></a>
        % endif
    </td>
  </tr>
  <% idset = 1 %>
  % else:
    <tr  class="table_row_h">
      <td>
        <a href="${h.url_for(controller='/document', action='globalShow', id=f.id, url=f.getName())}" target="_blank">${ f.getName() | F.shorten}</a>
      </td>
      <td class="number_field">
        ${kb(f.size)} KB
      </td>
      <td class="table_action">
        <a href="${h.url_for(controller='/document', action='globalShow', id=f.id, url=f.getName())}" target="_blank"><img src="${h.url_for('/images/icons/open_active_22.png')}" border="0" alt="${_('cm_overview_a_show')}" 
        title="${_('cm_overview_a_show')}" title="${_('cm_overview_a_show')}"></a>
        % if h.hasRole(['admin_ka']):
          <a href="${h.url_for(controller='/document', action='globalDelete', id=f.id)}"><img src="${h.url_for('/images/icons/delete_active_22.png')}" border="0" alt="${_('cm_overview_a_delete')}" title="${_('cm_overview_a_delete')}"></a>
        % endif
      </td>
    </tr>
    <% idset = 0 %>
    % endif
    % endfor
% else:
  <tr>
    <td colspan="3">
      ${_('doc_overview_nofilesfound')}
    </td>
  </tr>
% endif
</table>
