## -*- coding: utf-8 -*-
<%inherit file="/casemanagement/main.mako"/>
<%!
   from mpulsweb.lib.navigation import get_pagename, render_navigation
%>

${h.literal(c.formular)}

<%def name="buildNavipath()">
      	${parent.buildNavipath()}
	<li><a href="${h.url_for(controller='/case', action='select',
                                 id=session.get('case').id, confirmed=1)}"
               onclick="return checkModification();">${_('cm_np_select')}</a></li>
        % if session.get('render_mode') == 'ro':
	<li><a href="${h.url_for(controller='/formularpage', action='show',
                                 id=c.page_id)}"
               onclick="return checkModification();">${get_pagename(c.page_id)}</a></li>
        % else:
	<li><a href="${h.url_for(controller='/formularpage', action='edit',
                                 id=c.page_id)}" 
               onclick="return checkModification();">${get_pagename(c.page_id)}</a></li>
        % endif
</%def>

<%def name="buildModusfield()">
  <div id="modusfield">
    <div id="modusinfo">
    % if session.get('render_mode') == 'ro':
      <h5>Ansichtsmodus</h5>
    % else:
      <h5>Bearbeitungsmodus</h5>
    % endif
    </div>
    <div class="actions">
      <ul>
        % if h.hasRole(['cm_ka']) and session.get('case').getState().state not in (3,4,5):
          % if session.get('render_mode') == 'ro':
            <li><a href="${h.url_for(controller='/formularpage', action='edit',
                                     id=c.page_id)}" 
                   onclick="return checkModification();"> ${_('cm_actions_link_edit')}</a></li>
          % else:
            <li><a href="${h.url_for(controller='/formularpage', action='show',
                                     id=c.page_id)}" 
                   onclick="return checkModification();"> ${_('cm_actions_link_show')}</a></li>
          % endif
        % endif
        <li><a href="${h.url_for(controller='/formularpage', action='printout',
                                 id=c.page_id)}" 
               target="_blank" onclick="return checkModification();"> ${_('cm_actions_link_printout')}</a></li>
      </ul>
    </div>
  </div>
</%def>

<%def name="buildContentHeader()">
  <div id="content_header">
    %if not c.print_version:
      <div id="content_ueberschrift">${h.literal(c.formularheader)}</div>
    %endif
    ${self.buildModusfield()}
  </div><br>
  <br>
</%def>
