## -*- coding: utf-8 -*-
<fieldset>
<legend>Zeitangaben</legend>
  <div class="w25">
    % if c.form_errors.get('date'):
      <label for="date" class="error_font">Datum:</label><br>
      <input type="text" class="field error_box" name="date" id="date" maxlength="10"/>
    % else:
      <label for="date">Datum:</label><br>
      <input type="text" class="field" name="date" id="date" maxlength="10"/>
    % endif
  </div>
  <div class="w75">
    % if c.form_errors.get('time'):
      <label for="date" class="error_font">Uhrzeit:</label><br>
      <input type="text" class="field error_box" name="time" id="time" maxlength="5"/>
    % else:
      <label for="time">Uhrzeit:</label><br>
      <input type="text" class="field" name="time" id="time" maxlength="5"/>
    % endif
  </div>
  <div class="w25">
    % if c.form_errors.get('duration'):
      <label for="duration" class="error_font">Dauer in Minuten:</label><br>
      <input type="text" class="field error_box" name="duration" id="duration" maxlength="4"/>
    % else:
      <label for="duration">Dauer in Minuten:</label><br>
      <input type="text" class="field" name="duration" id="duration" maxlength="4"/>
    % endif
  </div>
</fieldset>
<fieldset>
<legend>Eintrag</legend>

Bearbeiter/in: ${session.get('USER_AUTHORIZED').shortenedName()}
% for num, typ in enumerate(g.mpuls_config.get('logbook', 'types')):
<div class="w100">
  <label for="typ${num}">${typ.get('label')}:</label><br>
  <select name="${typ.get('db_field')}" id="typ${num}">
  ${h.literal("".join(h.render_logbook_typeoptions(typ)))}
  </select>
  </div>
% endfor
  % if c.form_errors.get('short_notice'):
    <label for="short_notice" class="error_font">Nennung Sonstiges:</label><br>
    <input type="text" class="field error_box" name="short_notice" id="short_notice" maxlength="80"/>
  % else:
    <label for="short_notice">Nennung Sonstiges:</label><br>
    <input type="text" class="field" name="short_notice" id="short_notice" maxlength="80"/>
  % endif
</div>
<div>
  <label for="notice">Notiz:</label><br>
  <textarea cols="70" rows="10" name="notice" id="notice"></textarea>
</div>
<div>
  <input type="hidden" name="case_id" value="">
  <input type="submit" value="Eintrag speichern">
</div>
</fieldset>
