#!/bin/sh
TYPE=waska
DBHOST=localhost
DBPORT=5432
EXPORTHOST=85.22.68.219
EXPORTUSER=anonupload
EXPORTCOMMAND=/var/lib/postgresql/db_transfer/export-sqlite.py
SSHKEY=/home/waskaservice/keys/auswertung
DATADIR=/home/waskaservice
UPLOADDIR=incoming
TEMPLATEDIR=/var/lib/postgresql/db_transfer
TEMPLATEDB=$TEMPLATEDIR/template.db

DATE=`date +"%Y-%m-%d"`
EXPORTFILE=$TEMPLATEDIR/${TYPE}-$DATE.db
cp $TEMPLATEDB $EXPORTFILE
chmod 666 $EXPORTFILE
echo "Exporting databases"
sudo -u postgres $EXPORTCOMMAND -o $EXPORTFILE
bzip2 $EXPORTFILE
chmod 640 $EXPORTFILE.bz2

echo "Transfering databases"
scp -qp -i ${SSHKEY} \
	-o "StrictHostKeyChecking=no" \
	-o "UserKnownHostsFile=/dev/null" \
	${EXPORTFILE}.bz2 ${EXPORTUSER}@${EXPORTHOST}:${UPLOADDIR}
echo "Done :)"

