#!/bin/sh
set -e

KALIST='KA_list'
UPGRADE='1_6_0'
LOGDIR='logs'
PORT=5432

for KA in `cat ${KALIST}`;
    do  
        echo Updating ${KA};
        echo Updating ${KA} >> ${LOGDIR}/log_${KA}_${UPGRADE}.log;
        for U in `ls upgrade/update_${UPGRADE}/`;
            do sh bin/upgrade.sh upgrade/update_${UPGRADE}/${U} ${KA} ${PORT} >> ${LOGDIR}/log_${KA}_${UPGRADE}.log 2>&1;
        done
        echo Done >> ${LOGDIR}/log_${KA}_${UPGRADE}.log;
        echo Done;
done
