BEGIN;
--
-- Markiert bereits enthaltene News als gelesen. 
--
SET ROLE :db_adm;

CREATE OR REPLACE FUNCTION markallAsRead() RETURNS VOID
    LANGUAGE 'plpgsql' SECURITY DEFINER
    AS $$
DECLARE nutzer RECORD;
DECLARE news   RECORD;
BEGIN
	FOR nutzer IN SELECT * FROM ka_benutzer_tbl LOOP
		FOR news IN SELECT * FROM ka_nachrichten_tbl LOOP
			PERFORM markNewsAsRead(nutzer.id, news.id);
		END LOOP;
	END LOOP;
END;
$$;

SELECT markallAsRead();
DROP FUNCTION markallAsRead();

COMMIT;
