BEGIN;

-- Kovertierung des Wertes "Unbekannt"
-- -- Issue920
--

ALTER TABLE master_tbl DISABLE TRIGGER USER;

SET ROLE :db_adm;

INSERT INTO db_history (beschreibung, zeitpunkt)
       VALUES ('2.0/05_nachbetreuung.sql', current_timestamp);

UPDATE master_tbl set verbleib_nachbetreuung = -3 where verbleib_nachbetreuung = 12;
-- Der aktuelle Formed aus 1.7 passt nicht zu den tatsächlichen Datenbanken!
-- Der Fehler ist mit rev 601 (01.Dez 2009) eingeführt worden.
-- Die Datenbank enthält hier mehr mögliche Optionen. Der Formed vergibt zum
-- für verschiedene Angaben den gleichen Wert.
-- Die Konvertierung wird daher Anhand der Unterschiede im Formed gemacht und
-- nicht der tatsächlichen Unterschiede in der DB.

-- Werteverschiebung des Wertes für andere  Schule (z.B. Berufsfachschule)
UPDATE master_tbl set verbleib_nachbetreuung = 15 where verbleib_nachbetreuung = 13;


SET ROLE postgres;
ALTER TABLE master_tbl ENABLE TRIGGER USER;

COMMIT;
