BEGIN;

--
-- Übertragen der Werte aus der Spalte einverstaendniserklaerung in die Spalte
-- einwilligungserklaerung.
-- Issue1409

ALTER TABLE master_tbl DISABLE TRIGGER USER;

SET ROLE :db_adm;

INSERT INTO db_history (beschreibung, zeitpunkt)
       VALUES ('2.0/01_einverstaendnis.sql', current_timestamp);

-- Tabelle für die einverstaendniserklärung wurde umbenannt. daher übernahme
-- der alten werte
UPDATE master_tbl set einwilligung = einverstaendniserklaerung;

SET ROLE postgres;
ALTER TABLE master_tbl ENABLE TRIGGER USER;

COMMIT;
