BEGIN;

--
-- Versucht Anhand von einfachen Konvertierungen die die Konsistenz der Fälle
-- auch vor dem Hintergrund der neu eingeführten Regeln zu erhalten.
-- Issue908
--

ALTER TABLE master_tbl DISABLE TRIGGER USER;

SET ROLE :db_adm;

INSERT INTO db_history (beschreibung, zeitpunkt)
       VALUES ('2.0/100_repair_cases.sql', current_timestamp);

-- cm nur startbar wenn notwenigkeit besteht
UPDATE master_tbl set kompetenzfeststellung = 1 where phase in (2,3,4,5)
and id in (SELECT master_id from nm_tags_cases where tag_id in
(101,102,103,104,106,107,108,109,110,111,117,118));
-- ber nur startbar wenn keine notwenigkeit besteht
UPDATE master_tbl set kompetenzfeststellung = 0 where phase in (6,7)
and id in (SELECT master_id from nm_tags_cases where tag_id in
(101,102,103,104,106,107,108,109,110,111,117,118));

-- datum_feststellung' muss vor 'datum_ende_beratung' liegen.
UPDATE master_tbl set datum_ende_beratung = NULL where phase in (2,3,4,5)
and id in (SELECT master_id from nm_tags_cases where tag_id in (1027));



SET ROLE postgres;
ALTER TABLE master_tbl ENABLE TRIGGER USER;

COMMIT;
