BEGIN;

-- Do a remapping of the country-IDs.
-- issue1505
--
-- These scripts correct the IDs the users enteres during the 2.0.0
-- and the 2.0.2 versions. The IDs were generated from the Postgres-Logs
--


ALTER TABLE master_tbl DISABLE TRIGGER USER;
SET ROLE :db_adm;

INSERT INTO db_history (beschreibung, zeitpunkt)
       VALUES ('2.0.2/04_korrektur_laenderliste', current_timestamp);



-- Restore the IDs
UPDATE master_tbl_view SET staatsangehoerigkeit = 1 WHERE id = 1362;
UPDATE master_tbl_view SET staatsangehoerigkeit = 174 WHERE id = 1337;
UPDATE master_tbl_view SET geburtsland = 0 WHERE id = 1368;
UPDATE master_tbl_view SET geburtsland = 174,staatsangehoerigkeit = 174 WHERE id = 1370;
UPDATE master_tbl_view SET geburtsland = 104 WHERE id = 1352;
UPDATE master_tbl_view SET staatsangehoerigkeit = 0 WHERE id = 1368;
UPDATE master_tbl_view SET geburtsland = 0,staatsangehoerigkeit = 0 WHERE id = 1375;
UPDATE master_tbl_view SET geburtsland = 82,staatsangehoerigkeit = 82 WHERE id = 1383;




SET ROLE postgres;
ALTER TABLE master_tbl ENABLE TRIGGER USER;

COMMIT;