# -*- coding: utf-8 -*-
# Copyright 2009, 2010 Intevation GmbH, Germany, <info@intevation.de>
# Authors:
# Sascha L. Teichmann <teichmann@intevation.de>
#

class InstanceTreeFactory(object):

    def __init__(self, formed):
        self.formed = formed

    def createNewInstanceTree(self, uuid=None):
        return None

    def loadInstanceTreeByIdentifier(self, identifier, uncommited=None):
        return None

    def toXML(self, identifiers, selection, anonymized=False, external=None):
        return None

# vim:set ts=4 sw=4 si et sta sts=4 enc=utf-8 fenc=utf-8 :
