<%!  import mpulsweb.lib.helper.filters as F %>
<h2>${_('adm_form_legend_personal')}</h2>
<table>
  <tr>
    <td class="label table_header_v table_width_long">${_('adm_form_table_forename')}</td>
    <td class="table_row_v table_description">${c.uo.first_name | F.NA}</td>
  </tr>
  <tr>
    <td class="label">${_('adm_form_table_name')}</td>
    <td class="table_row_v_2">${c.uo.last_name | F.NA}</td>
  </tr>
  <tr>
    <td class="label table_header_v">${_('adm_form_table_phone')}</td>
    <td class="table_row_v">${c.uo.telephone | F.NA}</td>
  </tr>
  <tr>
    <td class="label">${_('adm_form_table_room')}</td>
    <td class="table_row_v_2">${c.uo.room | F.NA}</td>
  </tr>
  <tr>
    <td class="label table_header_v">${_('adm_form_table_agency')}</td>
    <td class="table_row_v">${c.uo.branchoffice | F.NA}</td>
  </tr>
  % if g.mpuls_config.is_enabled('case-module', 'organisation'):
  <tr>
    <td class="label">${_('adm_form_table_replace')}</td>
    <td class="table_row_v_2">${c.vuo.name | F.NA}</td>
  </tr>
  % endif
</table>
<h2>${_('adm_form_header_login')}</h2>
<table>
  <tr>
    <td class="label table_header_v table_width_long">${_('adm_form_table_login')}</td>
    <td class="table_row_v table_description">${c.uo.getLogin()}</td>
  </tr>
  <tr>
    <td class="label">${_('adm_form_table_role')}</td>
    <td class="table_row_v_2">${c.uo.getRole()}</td>
  </tr>
  % if h.hasRole(['admin_ka']):
  <tr>
    <td class="label table_header_v table_width_mid_l">${_('adm_form_table_activated')}</td>
    <td class="table_row_v">
      % if c.uo.isActivated():
        ${_('adm_form_table_yes')}
      % else:
        ${_('adm_form_table_no')}
      % endif
    </td>
  </tr>
  <tr>
    <td class="label table_width_long">${_('adm_form_label_new_login_new_pw')}</td>
    <td class="table_row_v_2">
      % if c.uo.needsNewPass():
        ${_('adm_form_table_yes')}
      % else:
        ${_('adm_form_table_no')}
      % endif
    </td>
  </tr>
  % endif
</table>
