## -*- coding: utf-8 -*-
<%inherit file="../main.mako" />
<%def name="buildNavipath()">
  <li><a href="${h.url_for(controller='/usersettings', action='showSettings',
                           id=h.getUserId())}"
         onclick="return checkModification();">${_('sm_menu_link_settings')}</a></li>
  <li><a href="#" onclick="return checkModification();">${_('adm_header_changepassword')}
</a></li>
</%def>
<%
  formular_labels = {'passwd'    : 'adm_form_newuser_passwd',
                      'passwd2'   : 'adm_form_newuser_passwd_confirm'
                      }
%>
<div id="content_header_small">
  <div id="content_ueberschrift">
 ${_('adm_header_changepassword')}
  </div>
  <div id="modusfield">
    <div class="actions">
	<ul>
		<li><a href="${h.url_for(controller='usersettings', action='showSettings', id=h.getUserId())}"> ${_('sm_menu_link_settings_back')}</a></li>
	</ul>
    </div>
  </div>
</div>
${self.buildFormErrors(formular_labels)}
<div id="waska_form" class="import_box">
<p class="import_p">Das neue Passwort muss aus mindestens acht Zeichen bestehen und zwei Nicht-Buchstaben enthalten. </p>
<div class="import_box_dialog">
<form action="${h.url_for(controller="usersettings", action="changePasswordAction")}" method="POST">
<div>
  % if c.form_errors.get('passwd'):
    <label class="import_label" for="passwd" class="error_font"><strong class="import_number">1. </strong>${_('adm_form_newuser_passwd')}:</label>
    <input type="password" class="field error_box" id="passwd" name="passwd">
  % else:
    <label class="import_label" for="passwd"><strong class="import_number">1. </strong>${_('adm_form_newuser_passwd')}:</label>
    <input type="password" class="field" id="passwd" name="passwd">
  % endif
</div>
<div>
  % if c.form_errors.get('passwd2'):
    <label class="import_label" for="passwd2" class="error_font"><strong class="import_number">2. </strong>${_('adm_form_newuser_passwd_confirm')}:</label>
    <input type="password" class="field error_box" id="passwd2" name="passwd2">
  % else:
    <label class="import_label" for="passwd2"><strong class="import_number">2. </strong>${_('adm_form_newuser_passwd_confirm')}:</label>
    <input type="password" class="field" id="passwd2" name="passwd2">
  % endif
</div>
<div>
  <input type="hidden" name="uid" value="${h.getUserId()}">
  <label class="import_label" for="passwd2"><strong class="import_number">3. </strong>Neues Passwort speichern:</label>
  <input id="account_pw_sub" class="btn_space" type="submit" value="${_('adm_form_changepassword_submit')}">
</div>
</form>
</div>
</div>
