BEGIN;

--
-- Löschen der Option "intersexuell" bei der geschlechtsangabe
-- Issue915
--

ALTER TABLE master_tbl DISABLE TRIGGER USER;

SET ROLE :db_adm;

INSERT INTO db_history (beschreibung, zeitpunkt)
       VALUES ('2.0/01_geschlecht.sql', current_timestamp);

-- Alle Einträge die vorher "intersexuell" waren werden nun auf den Wert
-- "unbekannt" gesetzt.
UPDATE master_tbl set geschlecht = -3 where geschlecht = 2;

SET ROLE postgres;
ALTER TABLE master_tbl ENABLE TRIGGER USER;

COMMIT;
