BEGIN;

--
-- Werteverschiebung des Wertes unbekannt bei dem Aufenthaltsstatus. 
--
-- issue1411

ALTER TABLE master_tbl DISABLE TRIGGER USER;

SET ROLE :db_adm;

INSERT INTO db_history (beschreibung, zeitpunkt)
       VALUES ('2.0/10_aufenthalt.sql', current_timestamp);

-- Alle Einträge die vorher "intersexuell" waren werden nun auf den Wert
-- "unbekannt" gesetzt.
UPDATE master_tbl set aufenthaltsstatus = -3 where aufenthaltsstatus = 7;

SET ROLE postgres;
ALTER TABLE master_tbl ENABLE TRIGGER USER;

COMMIT;
