BEGIN;

--
-- Rückgängig machen des temporären Erweitern des neuen Tabellenlayouts um Spalten und Tabellen aus der WASKA
-- 1.7x für die Datenmigration. 
--
ALTER TABLE master_tbl DISABLE TRIGGER USER;

--SET ROLE :db_adm;

-- Löschen von temporären Einträgen die zum Erfüllen der FK-Constraints
-- gebraucht wurden
DELETE FROM geschlecht_tbl WHERE id = 2;
DELETE FROM gruende_abbruch_tbl WHERE id = 3;
DELETE FROM gruende_abbruch_tbl WHERE id = 4;
DELETE FROM gruende_abbruch_tbl WHERE id = 5;
DELETE FROM gruende_abbruch_tbl WHERE id = 6;
DELETE FROM abbruch_durch_tbl WHERE id = 2;
DELETE FROM verbleib_nachbetreuung_tbl WHERE id = 12;
DELETE FROM verbleib_nachbetreuung_tbl WHERE id = 13;
DELETE FROM aufenthaltsstatus_tbl WHERE id=7;

INSERT INTO db_history (beschreibung, zeitpunkt)
       VALUES ('2.0/99_remove_hybrid.sql', current_timestamp);

ALTER TABLE master_tbl
  DROP COLUMN anerkannte_behinderung ;
ALTER TABLE master_tbl
  DROP COLUMN arzt_gutachten_physisch ;
ALTER TABLE master_tbl
  DROP COLUMN arzt_gutachten_psychisch ;
ALTER TABLE master_tbl
  DROP COLUMN ausbildung ;
ALTER TABLE master_tbl
  DROP COLUMN ausbildung_sonstiges_nennung ;
ALTER TABLE master_tbl
  DROP COLUMN beschaeftigungsumfang ;
ALTER TABLE master_tbl
  DROP COLUMN einverstaendniserklaerung ;
ALTER TABLE master_tbl
  DROP COLUMN erwerbsstatus_sonstiges_nennung ;
ALTER TABLE master_tbl
  DROP COLUMN erwerbstatus ;
ALTER TABLE master_tbl
  DROP COLUMN gruende_sonstiges_nennung_4 ;
ALTER TABLE master_tbl
  DROP COLUMN kategorien_nichterwerbsarbeit_nichtausbildung ;
ALTER TABLE master_tbl
  DROP COLUMN kategorien_sonstiges_nennung ;
ALTER TABLE master_tbl
  DROP COLUMN klassenstufe_1 ;
ALTER TABLE master_tbl
  DROP COLUMN physische_beeintraechtigungen ;
ALTER TABLE master_tbl
  DROP COLUMN physische_beeintraechtigungen_text ;
ALTER TABLE master_tbl
  DROP COLUMN psychische_beeintraechtigungen ;
ALTER TABLE master_tbl
  DROP COLUMN psychische_beeintraechtigungen_text ;
ALTER TABLE master_tbl
  DROP COLUMN schulart ;
ALTER TABLE master_tbl
  DROP COLUMN schule_sonstiges_nennung ;
ALTER TABLE master_tbl
  DROP COLUMN vermittlung ;
ALTER TABLE master_tbl
  DROP COLUMN vermittlung_nennung ;
ALTER TABLE master_tbl
  DROP COLUMN zeitraum_fallmanagement ;

-- Anlegen der Tabellen für die Repeatgroups, ohne Foreignkey-constraints.
DROP TABLE rg_kompetenzfestellung_tbl;
DROP TABLE rg_angebote_bildenden_bereich_tbl; 
DROP TABLE rg_angebote_berufsvorbereitung_tbl; 
DROP TABLE rg_angebote_berufliche_qualifizierung_tbl; 
DROP TABLE rg_angebote_lebensbewaeltigung_tbl;
DROP FUNCTION create_structure();

SET ROLE postgres;
ALTER TABLE master_tbl ENABLE TRIGGER USER;

COMMIT;
