BEGIN;

-- Do a remapping of the country-IDs
-- issue1505


ALTER TABLE master_tbl DISABLE TRIGGER ALL;
SET ROLE :db_adm;

INSERT INTO db_history (beschreibung, zeitpunkt)
       VALUES ('2.0.2/01_staatsangehoerigkeit.sql', current_timestamp);

-- Move all current values
UPDATE master_tbl SET staatsangehoerigkeit = staatsangehoerigkeit + 1000;

-- Re-Set to the correct IDs
UPDATE master_tbl SET staatsangehoerigkeit = -1 WHERE staatsangehoerigkeit = 999;
UPDATE master_tbl SET staatsangehoerigkeit = -2 WHERE staatsangehoerigkeit = 998;
UPDATE master_tbl SET staatsangehoerigkeit = -3 WHERE staatsangehoerigkeit = 997;
UPDATE master_tbl SET staatsangehoerigkeit = 0 WHERE staatsangehoerigkeit = 1000;
UPDATE master_tbl SET staatsangehoerigkeit = 1 WHERE staatsangehoerigkeit = 1001;
UPDATE master_tbl SET staatsangehoerigkeit = 10 WHERE staatsangehoerigkeit = 1010;
UPDATE master_tbl SET staatsangehoerigkeit = 100 WHERE staatsangehoerigkeit = 1102;
UPDATE master_tbl SET staatsangehoerigkeit = 101 WHERE staatsangehoerigkeit = 1103;
UPDATE master_tbl SET staatsangehoerigkeit = 102 WHERE staatsangehoerigkeit = 1104;
UPDATE master_tbl SET staatsangehoerigkeit = 103 WHERE staatsangehoerigkeit = 1105;
UPDATE master_tbl SET staatsangehoerigkeit = 104 WHERE staatsangehoerigkeit = 1106;
UPDATE master_tbl SET staatsangehoerigkeit = 105 WHERE staatsangehoerigkeit = 1107;
UPDATE master_tbl SET staatsangehoerigkeit = 106 WHERE staatsangehoerigkeit = 1108;
UPDATE master_tbl SET staatsangehoerigkeit = 107 WHERE staatsangehoerigkeit = 1109;
UPDATE master_tbl SET staatsangehoerigkeit = 108 WHERE staatsangehoerigkeit = 1110;
UPDATE master_tbl SET staatsangehoerigkeit = 109 WHERE staatsangehoerigkeit = 1111;
UPDATE master_tbl SET staatsangehoerigkeit = 11 WHERE staatsangehoerigkeit = 1011;
UPDATE master_tbl SET staatsangehoerigkeit = 110 WHERE staatsangehoerigkeit = 1112;
UPDATE master_tbl SET staatsangehoerigkeit = 111 WHERE staatsangehoerigkeit = 1113;
UPDATE master_tbl SET staatsangehoerigkeit = 112 WHERE staatsangehoerigkeit = 1114;
UPDATE master_tbl SET staatsangehoerigkeit = 113 WHERE staatsangehoerigkeit = 1115;
UPDATE master_tbl SET staatsangehoerigkeit = 114 WHERE staatsangehoerigkeit = 1116;
UPDATE master_tbl SET staatsangehoerigkeit = 115 WHERE staatsangehoerigkeit = 1117;
UPDATE master_tbl SET staatsangehoerigkeit = 116 WHERE staatsangehoerigkeit = 1118;
UPDATE master_tbl SET staatsangehoerigkeit = 117 WHERE staatsangehoerigkeit = 1119;
UPDATE master_tbl SET staatsangehoerigkeit = 118 WHERE staatsangehoerigkeit = 1120;
UPDATE master_tbl SET staatsangehoerigkeit = 119 WHERE staatsangehoerigkeit = 1121;
UPDATE master_tbl SET staatsangehoerigkeit = 12 WHERE staatsangehoerigkeit = 1012;
UPDATE master_tbl SET staatsangehoerigkeit = 120 WHERE staatsangehoerigkeit = 1122;
UPDATE master_tbl SET staatsangehoerigkeit = 121 WHERE staatsangehoerigkeit = 1123;
UPDATE master_tbl SET staatsangehoerigkeit = 122 WHERE staatsangehoerigkeit = 1124;
UPDATE master_tbl SET staatsangehoerigkeit = 123 WHERE staatsangehoerigkeit = 1125;
UPDATE master_tbl SET staatsangehoerigkeit = 124 WHERE staatsangehoerigkeit = 1126;
UPDATE master_tbl SET staatsangehoerigkeit = 125 WHERE staatsangehoerigkeit = 1127;
UPDATE master_tbl SET staatsangehoerigkeit = 126 WHERE staatsangehoerigkeit = 1128;
UPDATE master_tbl SET staatsangehoerigkeit = 127 WHERE staatsangehoerigkeit = 1129;
UPDATE master_tbl SET staatsangehoerigkeit = 128 WHERE staatsangehoerigkeit = 1130;
UPDATE master_tbl SET staatsangehoerigkeit = 129 WHERE staatsangehoerigkeit = 1131;
UPDATE master_tbl SET staatsangehoerigkeit = 13 WHERE staatsangehoerigkeit = 1013;
UPDATE master_tbl SET staatsangehoerigkeit = 130 WHERE staatsangehoerigkeit = 1132;
UPDATE master_tbl SET staatsangehoerigkeit = 131 WHERE staatsangehoerigkeit = 1133;
UPDATE master_tbl SET staatsangehoerigkeit = 132 WHERE staatsangehoerigkeit = 1134;
UPDATE master_tbl SET staatsangehoerigkeit = 133 WHERE staatsangehoerigkeit = 1135;
UPDATE master_tbl SET staatsangehoerigkeit = 134 WHERE staatsangehoerigkeit = 1136;
UPDATE master_tbl SET staatsangehoerigkeit = 135 WHERE staatsangehoerigkeit = 1137;
UPDATE master_tbl SET staatsangehoerigkeit = 136 WHERE staatsangehoerigkeit = 1138;
UPDATE master_tbl SET staatsangehoerigkeit = 137 WHERE staatsangehoerigkeit = 1139;
UPDATE master_tbl SET staatsangehoerigkeit = 138 WHERE staatsangehoerigkeit = 1140;
UPDATE master_tbl SET staatsangehoerigkeit = 139 WHERE staatsangehoerigkeit = 1141;
UPDATE master_tbl SET staatsangehoerigkeit = 14 WHERE staatsangehoerigkeit = 1014;
UPDATE master_tbl SET staatsangehoerigkeit = 140 WHERE staatsangehoerigkeit = 1142;
UPDATE master_tbl SET staatsangehoerigkeit = 141 WHERE staatsangehoerigkeit = 1143;
UPDATE master_tbl SET staatsangehoerigkeit = 142 WHERE staatsangehoerigkeit = 1144;
UPDATE master_tbl SET staatsangehoerigkeit = 143 WHERE staatsangehoerigkeit = 1145;
UPDATE master_tbl SET staatsangehoerigkeit = 144 WHERE staatsangehoerigkeit = 1146;
UPDATE master_tbl SET staatsangehoerigkeit = 145 WHERE staatsangehoerigkeit = 1147;
UPDATE master_tbl SET staatsangehoerigkeit = 146 WHERE staatsangehoerigkeit = 1148;
UPDATE master_tbl SET staatsangehoerigkeit = 147 WHERE staatsangehoerigkeit = 1149;
UPDATE master_tbl SET staatsangehoerigkeit = 148 WHERE staatsangehoerigkeit = 1150;
UPDATE master_tbl SET staatsangehoerigkeit = 149 WHERE staatsangehoerigkeit = 1151;
UPDATE master_tbl SET staatsangehoerigkeit = 15 WHERE staatsangehoerigkeit = 1015;
UPDATE master_tbl SET staatsangehoerigkeit = 150 WHERE staatsangehoerigkeit = 1152;
UPDATE master_tbl SET staatsangehoerigkeit = 151 WHERE staatsangehoerigkeit = 1153;

-- Spain appeared twice in the 1.7.x version!
UPDATE master_tbl SET staatsangehoerigkeit = 152 WHERE staatsangehoerigkeit = 1154;
UPDATE master_tbl SET staatsangehoerigkeit = 152 WHERE staatsangehoerigkeit = 1155;

UPDATE master_tbl SET staatsangehoerigkeit = 153 WHERE staatsangehoerigkeit = 1156;
UPDATE master_tbl SET staatsangehoerigkeit = 154 WHERE staatsangehoerigkeit = 1157;
UPDATE master_tbl SET staatsangehoerigkeit = 155 WHERE staatsangehoerigkeit = 1158;
UPDATE master_tbl SET staatsangehoerigkeit = 156 WHERE staatsangehoerigkeit = 1159;
UPDATE master_tbl SET staatsangehoerigkeit = 157 WHERE staatsangehoerigkeit = 1160;
UPDATE master_tbl SET staatsangehoerigkeit = 158 WHERE staatsangehoerigkeit = 1161;
UPDATE master_tbl SET staatsangehoerigkeit = 159 WHERE staatsangehoerigkeit = 1162;
UPDATE master_tbl SET staatsangehoerigkeit = 16 WHERE staatsangehoerigkeit = 1016;
UPDATE master_tbl SET staatsangehoerigkeit = 160 WHERE staatsangehoerigkeit = 1163;
UPDATE master_tbl SET staatsangehoerigkeit = 161 WHERE staatsangehoerigkeit = 1164;
UPDATE master_tbl SET staatsangehoerigkeit = 162 WHERE staatsangehoerigkeit = 1165;
UPDATE master_tbl SET staatsangehoerigkeit = 163 WHERE staatsangehoerigkeit = 1166;
UPDATE master_tbl SET staatsangehoerigkeit = 164 WHERE staatsangehoerigkeit = 1167;
UPDATE master_tbl SET staatsangehoerigkeit = 165 WHERE staatsangehoerigkeit = 1168;
UPDATE master_tbl SET staatsangehoerigkeit = 166 WHERE staatsangehoerigkeit = 1169;
UPDATE master_tbl SET staatsangehoerigkeit = 167 WHERE staatsangehoerigkeit = 1170;
UPDATE master_tbl SET staatsangehoerigkeit = 168 WHERE staatsangehoerigkeit = 1171;
UPDATE master_tbl SET staatsangehoerigkeit = 169 WHERE staatsangehoerigkeit = 1172;
UPDATE master_tbl SET staatsangehoerigkeit = 17 WHERE staatsangehoerigkeit = 1017;
UPDATE master_tbl SET staatsangehoerigkeit = 170 WHERE staatsangehoerigkeit = 1173;
UPDATE master_tbl SET staatsangehoerigkeit = 171 WHERE staatsangehoerigkeit = 1174;
UPDATE master_tbl SET staatsangehoerigkeit = 172 WHERE staatsangehoerigkeit = 1175;
UPDATE master_tbl SET staatsangehoerigkeit = 173 WHERE staatsangehoerigkeit = 1176;
UPDATE master_tbl SET staatsangehoerigkeit = 174 WHERE staatsangehoerigkeit = 1177;
UPDATE master_tbl SET staatsangehoerigkeit = 175 WHERE staatsangehoerigkeit = 1178;
UPDATE master_tbl SET staatsangehoerigkeit = 176 WHERE staatsangehoerigkeit = 1179;
UPDATE master_tbl SET staatsangehoerigkeit = 177 WHERE staatsangehoerigkeit = 1180;
UPDATE master_tbl SET staatsangehoerigkeit = 178 WHERE staatsangehoerigkeit = 1181;
UPDATE master_tbl SET staatsangehoerigkeit = 179 WHERE staatsangehoerigkeit = 1182;
UPDATE master_tbl SET staatsangehoerigkeit = 18 WHERE staatsangehoerigkeit = 1018;
UPDATE master_tbl SET staatsangehoerigkeit = 180 WHERE staatsangehoerigkeit = 1183;
UPDATE master_tbl SET staatsangehoerigkeit = 181 WHERE staatsangehoerigkeit = 1184;
UPDATE master_tbl SET staatsangehoerigkeit = 182 WHERE staatsangehoerigkeit = 1185;
UPDATE master_tbl SET staatsangehoerigkeit = 183 WHERE staatsangehoerigkeit = 1186;
UPDATE master_tbl SET staatsangehoerigkeit = 184 WHERE staatsangehoerigkeit = 1187;
UPDATE master_tbl SET staatsangehoerigkeit = 185 WHERE staatsangehoerigkeit = 1188;
UPDATE master_tbl SET staatsangehoerigkeit = 186 WHERE staatsangehoerigkeit = 1189;
UPDATE master_tbl SET staatsangehoerigkeit = 187 WHERE staatsangehoerigkeit = 1190;
UPDATE master_tbl SET staatsangehoerigkeit = 188 WHERE staatsangehoerigkeit = 1191;
UPDATE master_tbl SET staatsangehoerigkeit = 189 WHERE staatsangehoerigkeit = 1192;
UPDATE master_tbl SET staatsangehoerigkeit = 19 WHERE staatsangehoerigkeit = 1019;
UPDATE master_tbl SET staatsangehoerigkeit = 190 WHERE staatsangehoerigkeit = 1193;
UPDATE master_tbl SET staatsangehoerigkeit = 191 WHERE staatsangehoerigkeit = 1194;
UPDATE master_tbl SET staatsangehoerigkeit = 192 WHERE staatsangehoerigkeit = 1195;
UPDATE master_tbl SET staatsangehoerigkeit = 193 WHERE staatsangehoerigkeit = 1193;
UPDATE master_tbl SET staatsangehoerigkeit = 194 WHERE staatsangehoerigkeit = 1194;
UPDATE master_tbl SET staatsangehoerigkeit = 195 WHERE staatsangehoerigkeit = 1195;
UPDATE master_tbl SET staatsangehoerigkeit = 196 WHERE staatsangehoerigkeit = 1196;
UPDATE master_tbl SET staatsangehoerigkeit = 197 WHERE staatsangehoerigkeit = 1197;
UPDATE master_tbl SET staatsangehoerigkeit = 198 WHERE staatsangehoerigkeit = 1198;
UPDATE master_tbl SET staatsangehoerigkeit = 2 WHERE staatsangehoerigkeit = 1002;
UPDATE master_tbl SET staatsangehoerigkeit = 20 WHERE staatsangehoerigkeit = 1020;
UPDATE master_tbl SET staatsangehoerigkeit = 21 WHERE staatsangehoerigkeit = 1021;
UPDATE master_tbl SET staatsangehoerigkeit = 22 WHERE staatsangehoerigkeit = 1022;
UPDATE master_tbl SET staatsangehoerigkeit = 23 WHERE staatsangehoerigkeit = 1023;
UPDATE master_tbl SET staatsangehoerigkeit = 24 WHERE staatsangehoerigkeit = 1024;
UPDATE master_tbl SET staatsangehoerigkeit = 25 WHERE staatsangehoerigkeit = 1025;
UPDATE master_tbl SET staatsangehoerigkeit = 26 WHERE staatsangehoerigkeit = 1026;
UPDATE master_tbl SET staatsangehoerigkeit = 27 WHERE staatsangehoerigkeit = 1027;
UPDATE master_tbl SET staatsangehoerigkeit = 28 WHERE staatsangehoerigkeit = 1028;
UPDATE master_tbl SET staatsangehoerigkeit = 29 WHERE staatsangehoerigkeit = 1029;
UPDATE master_tbl SET staatsangehoerigkeit = 3 WHERE staatsangehoerigkeit = 1003;
UPDATE master_tbl SET staatsangehoerigkeit = 30 WHERE staatsangehoerigkeit = 1030;
UPDATE master_tbl SET staatsangehoerigkeit = 31 WHERE staatsangehoerigkeit = 1031;
UPDATE master_tbl SET staatsangehoerigkeit = 32 WHERE staatsangehoerigkeit = 1032;
UPDATE master_tbl SET staatsangehoerigkeit = 33 WHERE staatsangehoerigkeit = 1033;
UPDATE master_tbl SET staatsangehoerigkeit = 34 WHERE staatsangehoerigkeit = 1034;
UPDATE master_tbl SET staatsangehoerigkeit = 35 WHERE staatsangehoerigkeit = 1035;
UPDATE master_tbl SET staatsangehoerigkeit = 36 WHERE staatsangehoerigkeit = 1036;
UPDATE master_tbl SET staatsangehoerigkeit = 37 WHERE staatsangehoerigkeit = 1037;
UPDATE master_tbl SET staatsangehoerigkeit = 38 WHERE staatsangehoerigkeit = 1038;
UPDATE master_tbl SET staatsangehoerigkeit = 39 WHERE staatsangehoerigkeit = 1039;
UPDATE master_tbl SET staatsangehoerigkeit = 4 WHERE staatsangehoerigkeit = 1004;
UPDATE master_tbl SET staatsangehoerigkeit = 40 WHERE staatsangehoerigkeit = 1040;


-- France appeared twice in the 1.7.x version!
UPDATE master_tbl SET staatsangehoerigkeit = 41 WHERE staatsangehoerigkeit = 1041;
UPDATE master_tbl SET staatsangehoerigkeit = 41 WHERE staatsangehoerigkeit = 1042;

UPDATE master_tbl SET staatsangehoerigkeit = 42 WHERE staatsangehoerigkeit = 1043;
UPDATE master_tbl SET staatsangehoerigkeit = 43 WHERE staatsangehoerigkeit = 1044;
UPDATE master_tbl SET staatsangehoerigkeit = 44 WHERE staatsangehoerigkeit = 1045;
UPDATE master_tbl SET staatsangehoerigkeit = 45 WHERE staatsangehoerigkeit = 1046;
UPDATE master_tbl SET staatsangehoerigkeit = 46 WHERE staatsangehoerigkeit = 1047;
UPDATE master_tbl SET staatsangehoerigkeit = 47 WHERE staatsangehoerigkeit = 1048;
UPDATE master_tbl SET staatsangehoerigkeit = 48 WHERE staatsangehoerigkeit = 1049;
UPDATE master_tbl SET staatsangehoerigkeit = 49 WHERE staatsangehoerigkeit = 1050;
UPDATE master_tbl SET staatsangehoerigkeit = 5 WHERE staatsangehoerigkeit = 1005;
UPDATE master_tbl SET staatsangehoerigkeit = 50 WHERE staatsangehoerigkeit = 1051;
UPDATE master_tbl SET staatsangehoerigkeit = 51 WHERE staatsangehoerigkeit = 1052;
UPDATE master_tbl SET staatsangehoerigkeit = 52 WHERE staatsangehoerigkeit = 1053;
UPDATE master_tbl SET staatsangehoerigkeit = 53 WHERE staatsangehoerigkeit = 1054;
UPDATE master_tbl SET staatsangehoerigkeit = 54 WHERE staatsangehoerigkeit = 1055;
UPDATE master_tbl SET staatsangehoerigkeit = 55 WHERE staatsangehoerigkeit = 1056;
UPDATE master_tbl SET staatsangehoerigkeit = 56 WHERE staatsangehoerigkeit = 1057;
UPDATE master_tbl SET staatsangehoerigkeit = 57 WHERE staatsangehoerigkeit = 1058;
UPDATE master_tbl SET staatsangehoerigkeit = 58 WHERE staatsangehoerigkeit = 1059;
UPDATE master_tbl SET staatsangehoerigkeit = 59 WHERE staatsangehoerigkeit = 1060;
UPDATE master_tbl SET staatsangehoerigkeit = 6 WHERE staatsangehoerigkeit = 1006;
UPDATE master_tbl SET staatsangehoerigkeit = 60 WHERE staatsangehoerigkeit = 1061;
UPDATE master_tbl SET staatsangehoerigkeit = 61 WHERE staatsangehoerigkeit = 1062;

-- Italy appeared twice in the 1.7.x version!
UPDATE master_tbl SET staatsangehoerigkeit = 62 WHERE staatsangehoerigkeit = 1063;
UPDATE master_tbl SET staatsangehoerigkeit = 62 WHERE staatsangehoerigkeit = 1064;

UPDATE master_tbl SET staatsangehoerigkeit = 63 WHERE staatsangehoerigkeit = 1065;
UPDATE master_tbl SET staatsangehoerigkeit = 64 WHERE staatsangehoerigkeit = 1066;
UPDATE master_tbl SET staatsangehoerigkeit = 65 WHERE staatsangehoerigkeit = 1067;
UPDATE master_tbl SET staatsangehoerigkeit = 66 WHERE staatsangehoerigkeit = 1068;
UPDATE master_tbl SET staatsangehoerigkeit = 67 WHERE staatsangehoerigkeit = 1069;
UPDATE master_tbl SET staatsangehoerigkeit = 68 WHERE staatsangehoerigkeit = 1070;
UPDATE master_tbl SET staatsangehoerigkeit = 69 WHERE staatsangehoerigkeit = 1071;
UPDATE master_tbl SET staatsangehoerigkeit = 7 WHERE staatsangehoerigkeit = 1007;
UPDATE master_tbl SET staatsangehoerigkeit = 70 WHERE staatsangehoerigkeit = 1072;
UPDATE master_tbl SET staatsangehoerigkeit = 71 WHERE staatsangehoerigkeit = 1073;
UPDATE master_tbl SET staatsangehoerigkeit = 72 WHERE staatsangehoerigkeit = 1074;
UPDATE master_tbl SET staatsangehoerigkeit = 73 WHERE staatsangehoerigkeit = 1075;
UPDATE master_tbl SET staatsangehoerigkeit = 74 WHERE staatsangehoerigkeit = 1076;
UPDATE master_tbl SET staatsangehoerigkeit = 75 WHERE staatsangehoerigkeit = 1077;
UPDATE master_tbl SET staatsangehoerigkeit = 76 WHERE staatsangehoerigkeit = 1078;
UPDATE master_tbl SET staatsangehoerigkeit = 77 WHERE staatsangehoerigkeit = 1079;
UPDATE master_tbl SET staatsangehoerigkeit = 78 WHERE staatsangehoerigkeit = 1080;
UPDATE master_tbl SET staatsangehoerigkeit = 79 WHERE staatsangehoerigkeit = 1081;
UPDATE master_tbl SET staatsangehoerigkeit = 8 WHERE staatsangehoerigkeit = 1008;
UPDATE master_tbl SET staatsangehoerigkeit = 80 WHERE staatsangehoerigkeit = 1082;
UPDATE master_tbl SET staatsangehoerigkeit = 81 WHERE staatsangehoerigkeit = 1083;
UPDATE master_tbl SET staatsangehoerigkeit = 82 WHERE staatsangehoerigkeit = 1084;
UPDATE master_tbl SET staatsangehoerigkeit = 83 WHERE staatsangehoerigkeit = 1085;
UPDATE master_tbl SET staatsangehoerigkeit = 84 WHERE staatsangehoerigkeit = 1086;
UPDATE master_tbl SET staatsangehoerigkeit = 85 WHERE staatsangehoerigkeit = 1087;
UPDATE master_tbl SET staatsangehoerigkeit = 86 WHERE staatsangehoerigkeit = 1088;
UPDATE master_tbl SET staatsangehoerigkeit = 87 WHERE staatsangehoerigkeit = 1089;
UPDATE master_tbl SET staatsangehoerigkeit = 88 WHERE staatsangehoerigkeit = 1090;
UPDATE master_tbl SET staatsangehoerigkeit = 89 WHERE staatsangehoerigkeit = 1091;
UPDATE master_tbl SET staatsangehoerigkeit = 9 WHERE staatsangehoerigkeit = 1009;
UPDATE master_tbl SET staatsangehoerigkeit = 90 WHERE staatsangehoerigkeit = 1092;
UPDATE master_tbl SET staatsangehoerigkeit = 91 WHERE staatsangehoerigkeit = 1093;
UPDATE master_tbl SET staatsangehoerigkeit = 92 WHERE staatsangehoerigkeit = 1094;
UPDATE master_tbl SET staatsangehoerigkeit = 93 WHERE staatsangehoerigkeit = 1095;
UPDATE master_tbl SET staatsangehoerigkeit = 94 WHERE staatsangehoerigkeit = 1096;
UPDATE master_tbl SET staatsangehoerigkeit = 95 WHERE staatsangehoerigkeit = 1097;
UPDATE master_tbl SET staatsangehoerigkeit = 96 WHERE staatsangehoerigkeit = 1098;
UPDATE master_tbl SET staatsangehoerigkeit = 97 WHERE staatsangehoerigkeit = 1099;
UPDATE master_tbl SET staatsangehoerigkeit = 98 WHERE staatsangehoerigkeit = 1100;
UPDATE master_tbl SET staatsangehoerigkeit = 99 WHERE staatsangehoerigkeit = 1101;


SET ROLE postgres;
ALTER TABLE master_tbl ENABLE TRIGGER ALL;

COMMIT;

