BEGIN;

-- Do a remapping of the country-IDs
-- issue1505


ALTER TABLE master_tbl DISABLE TRIGGER ALL;
SET ROLE :db_adm;

INSERT INTO db_history (beschreibung, zeitpunkt)
       VALUES ('2.0.2/02_geburtsland.sql', current_timestamp);

-- Move all current values
UPDATE master_tbl SET geburtsland = geburtsland + 1000;


-- Re-Set to the correct IDs
UPDATE master_tbl SET geburtsland = -1 WHERE geburtsland = 999; 
UPDATE master_tbl SET geburtsland = -2 WHERE geburtsland = 998; 
UPDATE master_tbl SET geburtsland = -3 WHERE geburtsland = 997; 
UPDATE master_tbl SET geburtsland = 0 WHERE geburtsland = 1000; 
UPDATE master_tbl SET geburtsland = 1 WHERE geburtsland = 1001; 
UPDATE master_tbl SET geburtsland = 10 WHERE geburtsland = 1010; 
UPDATE master_tbl SET geburtsland = 100 WHERE geburtsland = 1102; 
UPDATE master_tbl SET geburtsland = 101 WHERE geburtsland = 1103; 
UPDATE master_tbl SET geburtsland = 102 WHERE geburtsland = 1104; 
UPDATE master_tbl SET geburtsland = 103 WHERE geburtsland = 1105; 
UPDATE master_tbl SET geburtsland = 104 WHERE geburtsland = 1106; 
UPDATE master_tbl SET geburtsland = 105 WHERE geburtsland = 1107; 
UPDATE master_tbl SET geburtsland = 106 WHERE geburtsland = 1108; 
UPDATE master_tbl SET geburtsland = 107 WHERE geburtsland = 1109; 
UPDATE master_tbl SET geburtsland = 108 WHERE geburtsland = 1110; 
UPDATE master_tbl SET geburtsland = 109 WHERE geburtsland = 1111; 
UPDATE master_tbl SET geburtsland = 11 WHERE geburtsland = 1011; 
UPDATE master_tbl SET geburtsland = 110 WHERE geburtsland = 1112; 
UPDATE master_tbl SET geburtsland = 111 WHERE geburtsland = 1113; 
UPDATE master_tbl SET geburtsland = 112 WHERE geburtsland = 1114; 
UPDATE master_tbl SET geburtsland = 113 WHERE geburtsland = 1115; 
UPDATE master_tbl SET geburtsland = 114 WHERE geburtsland = 1116; 
UPDATE master_tbl SET geburtsland = 115 WHERE geburtsland = 1117; 
UPDATE master_tbl SET geburtsland = 116 WHERE geburtsland = 1118; 
UPDATE master_tbl SET geburtsland = 117 WHERE geburtsland = 1119; 
UPDATE master_tbl SET geburtsland = 118 WHERE geburtsland = 1120; 
UPDATE master_tbl SET geburtsland = 119 WHERE geburtsland = 1121; 
UPDATE master_tbl SET geburtsland = 12 WHERE geburtsland = 1012; 
UPDATE master_tbl SET geburtsland = 120 WHERE geburtsland = 1122; 
UPDATE master_tbl SET geburtsland = 121 WHERE geburtsland = 1123; 
UPDATE master_tbl SET geburtsland = 122 WHERE geburtsland = 1124; 
UPDATE master_tbl SET geburtsland = 123 WHERE geburtsland = 1125; 
UPDATE master_tbl SET geburtsland = 124 WHERE geburtsland = 1126; 
UPDATE master_tbl SET geburtsland = 125 WHERE geburtsland = 1127; 
UPDATE master_tbl SET geburtsland = 126 WHERE geburtsland = 1128; 
UPDATE master_tbl SET geburtsland = 127 WHERE geburtsland = 1129; 
UPDATE master_tbl SET geburtsland = 128 WHERE geburtsland = 1130; 
UPDATE master_tbl SET geburtsland = 129 WHERE geburtsland = 1131; 
UPDATE master_tbl SET geburtsland = 13 WHERE geburtsland = 1013; 
UPDATE master_tbl SET geburtsland = 130 WHERE geburtsland = 1132; 
UPDATE master_tbl SET geburtsland = 131 WHERE geburtsland = 1133; 
UPDATE master_tbl SET geburtsland = 132 WHERE geburtsland = 1134; 
UPDATE master_tbl SET geburtsland = 133 WHERE geburtsland = 1135; 
UPDATE master_tbl SET geburtsland = 134 WHERE geburtsland = 1136; 
UPDATE master_tbl SET geburtsland = 135 WHERE geburtsland = 1137; 
UPDATE master_tbl SET geburtsland = 136 WHERE geburtsland = 1138; 
UPDATE master_tbl SET geburtsland = 137 WHERE geburtsland = 1139; 
UPDATE master_tbl SET geburtsland = 138 WHERE geburtsland = 1140; 
UPDATE master_tbl SET geburtsland = 139 WHERE geburtsland = 1141; 
UPDATE master_tbl SET geburtsland = 14 WHERE geburtsland = 1014; 
UPDATE master_tbl SET geburtsland = 140 WHERE geburtsland = 1142; 
UPDATE master_tbl SET geburtsland = 141 WHERE geburtsland = 1143; 
UPDATE master_tbl SET geburtsland = 142 WHERE geburtsland = 1144; 
UPDATE master_tbl SET geburtsland = 143 WHERE geburtsland = 1145; 
UPDATE master_tbl SET geburtsland = 144 WHERE geburtsland = 1146; 
UPDATE master_tbl SET geburtsland = 145 WHERE geburtsland = 1147; 
UPDATE master_tbl SET geburtsland = 146 WHERE geburtsland = 1148; 
UPDATE master_tbl SET geburtsland = 147 WHERE geburtsland = 1149; 
UPDATE master_tbl SET geburtsland = 148 WHERE geburtsland = 1150; 
UPDATE master_tbl SET geburtsland = 149 WHERE geburtsland = 1151; 
UPDATE master_tbl SET geburtsland = 15 WHERE geburtsland = 1015; 
UPDATE master_tbl SET geburtsland = 150 WHERE geburtsland = 1152; 
UPDATE master_tbl SET geburtsland = 151 WHERE geburtsland = 1153; 

-- Spain appeared twice in the 1.7.x version!
UPDATE master_tbl SET geburtsland = 152 WHERE geburtsland = 1154; 
UPDATE master_tbl SET geburtsland = 152 WHERE geburtsland = 1155; 

UPDATE master_tbl SET geburtsland = 153 WHERE geburtsland = 1156; 
UPDATE master_tbl SET geburtsland = 154 WHERE geburtsland = 1157; 
UPDATE master_tbl SET geburtsland = 155 WHERE geburtsland = 1158; 
UPDATE master_tbl SET geburtsland = 156 WHERE geburtsland = 1159; 
UPDATE master_tbl SET geburtsland = 157 WHERE geburtsland = 1160; 
UPDATE master_tbl SET geburtsland = 158 WHERE geburtsland = 1161; 
UPDATE master_tbl SET geburtsland = 159 WHERE geburtsland = 1162; 
UPDATE master_tbl SET geburtsland = 16 WHERE geburtsland = 1016; 
UPDATE master_tbl SET geburtsland = 160 WHERE geburtsland = 1163; 
UPDATE master_tbl SET geburtsland = 161 WHERE geburtsland = 1164; 
UPDATE master_tbl SET geburtsland = 162 WHERE geburtsland = 1165; 
UPDATE master_tbl SET geburtsland = 163 WHERE geburtsland = 1166; 
UPDATE master_tbl SET geburtsland = 164 WHERE geburtsland = 1167; 
UPDATE master_tbl SET geburtsland = 165 WHERE geburtsland = 1168; 
UPDATE master_tbl SET geburtsland = 166 WHERE geburtsland = 1169; 
UPDATE master_tbl SET geburtsland = 167 WHERE geburtsland = 1170; 
UPDATE master_tbl SET geburtsland = 168 WHERE geburtsland = 1171; 
UPDATE master_tbl SET geburtsland = 169 WHERE geburtsland = 1172; 
UPDATE master_tbl SET geburtsland = 17 WHERE geburtsland = 1017; 
UPDATE master_tbl SET geburtsland = 170 WHERE geburtsland = 1173; 
UPDATE master_tbl SET geburtsland = 171 WHERE geburtsland = 1174; 
UPDATE master_tbl SET geburtsland = 172 WHERE geburtsland = 1175; 
UPDATE master_tbl SET geburtsland = 173 WHERE geburtsland = 1176; 
UPDATE master_tbl SET geburtsland = 174 WHERE geburtsland = 1177; 
UPDATE master_tbl SET geburtsland = 175 WHERE geburtsland = 1178; 
UPDATE master_tbl SET geburtsland = 176 WHERE geburtsland = 1179; 
UPDATE master_tbl SET geburtsland = 177 WHERE geburtsland = 1180; 
UPDATE master_tbl SET geburtsland = 178 WHERE geburtsland = 1181; 
UPDATE master_tbl SET geburtsland = 179 WHERE geburtsland = 1182; 
UPDATE master_tbl SET geburtsland = 18 WHERE geburtsland = 1018; 
UPDATE master_tbl SET geburtsland = 180 WHERE geburtsland = 1183; 
UPDATE master_tbl SET geburtsland = 181 WHERE geburtsland = 1184; 
UPDATE master_tbl SET geburtsland = 182 WHERE geburtsland = 1185; 
UPDATE master_tbl SET geburtsland = 183 WHERE geburtsland = 1186; 
UPDATE master_tbl SET geburtsland = 184 WHERE geburtsland = 1187; 
UPDATE master_tbl SET geburtsland = 185 WHERE geburtsland = 1188; 
UPDATE master_tbl SET geburtsland = 186 WHERE geburtsland = 1189; 
UPDATE master_tbl SET geburtsland = 187 WHERE geburtsland = 1190; 
UPDATE master_tbl SET geburtsland = 188 WHERE geburtsland = 1191; 
UPDATE master_tbl SET geburtsland = 189 WHERE geburtsland = 1192; 
UPDATE master_tbl SET geburtsland = 19 WHERE geburtsland = 1019; 
UPDATE master_tbl SET geburtsland = 190 WHERE geburtsland = 1193; 
UPDATE master_tbl SET geburtsland = 191 WHERE geburtsland = 1194; 
UPDATE master_tbl SET geburtsland = 192 WHERE geburtsland = 1195; 
UPDATE master_tbl SET geburtsland = 193 WHERE geburtsland = 1193; 
UPDATE master_tbl SET geburtsland = 194 WHERE geburtsland = 1194; 
UPDATE master_tbl SET geburtsland = 195 WHERE geburtsland = 1195; 
UPDATE master_tbl SET geburtsland = 196 WHERE geburtsland = 1196; 
UPDATE master_tbl SET geburtsland = 197 WHERE geburtsland = 1197; 
UPDATE master_tbl SET geburtsland = 198 WHERE geburtsland = 1198; 
UPDATE master_tbl SET geburtsland = 2 WHERE geburtsland = 1002; 
UPDATE master_tbl SET geburtsland = 20 WHERE geburtsland = 1020; 
UPDATE master_tbl SET geburtsland = 21 WHERE geburtsland = 1021; 
UPDATE master_tbl SET geburtsland = 22 WHERE geburtsland = 1022; 
UPDATE master_tbl SET geburtsland = 23 WHERE geburtsland = 1023; 
UPDATE master_tbl SET geburtsland = 24 WHERE geburtsland = 1024; 
UPDATE master_tbl SET geburtsland = 25 WHERE geburtsland = 1025; 
UPDATE master_tbl SET geburtsland = 26 WHERE geburtsland = 1026; 
UPDATE master_tbl SET geburtsland = 27 WHERE geburtsland = 1027; 
UPDATE master_tbl SET geburtsland = 28 WHERE geburtsland = 1028; 
UPDATE master_tbl SET geburtsland = 29 WHERE geburtsland = 1029; 
UPDATE master_tbl SET geburtsland = 3 WHERE geburtsland = 1003; 
UPDATE master_tbl SET geburtsland = 30 WHERE geburtsland = 1030; 
UPDATE master_tbl SET geburtsland = 31 WHERE geburtsland = 1031; 
UPDATE master_tbl SET geburtsland = 32 WHERE geburtsland = 1032; 
UPDATE master_tbl SET geburtsland = 33 WHERE geburtsland = 1033; 
UPDATE master_tbl SET geburtsland = 34 WHERE geburtsland = 1034; 
UPDATE master_tbl SET geburtsland = 35 WHERE geburtsland = 1035; 
UPDATE master_tbl SET geburtsland = 36 WHERE geburtsland = 1036; 
UPDATE master_tbl SET geburtsland = 37 WHERE geburtsland = 1037; 
UPDATE master_tbl SET geburtsland = 38 WHERE geburtsland = 1038; 
UPDATE master_tbl SET geburtsland = 39 WHERE geburtsland = 1039; 
UPDATE master_tbl SET geburtsland = 4 WHERE geburtsland = 1004; 
UPDATE master_tbl SET geburtsland = 40 WHERE geburtsland = 1040; 

-- France appeared twice in the 1.7.x version!
UPDATE master_tbl SET geburtsland = 41 WHERE geburtsland = 1041; 
UPDATE master_tbl SET geburtsland = 41 WHERE geburtsland = 1042; 

UPDATE master_tbl SET geburtsland = 42 WHERE geburtsland = 1043; 
UPDATE master_tbl SET geburtsland = 43 WHERE geburtsland = 1044; 
UPDATE master_tbl SET geburtsland = 44 WHERE geburtsland = 1045; 
UPDATE master_tbl SET geburtsland = 45 WHERE geburtsland = 1046; 
UPDATE master_tbl SET geburtsland = 46 WHERE geburtsland = 1047; 
UPDATE master_tbl SET geburtsland = 47 WHERE geburtsland = 1048; 
UPDATE master_tbl SET geburtsland = 48 WHERE geburtsland = 1049; 
UPDATE master_tbl SET geburtsland = 49 WHERE geburtsland = 1050; 
UPDATE master_tbl SET geburtsland = 5 WHERE geburtsland = 1005; 
UPDATE master_tbl SET geburtsland = 50 WHERE geburtsland = 1051; 
UPDATE master_tbl SET geburtsland = 51 WHERE geburtsland = 1052; 
UPDATE master_tbl SET geburtsland = 52 WHERE geburtsland = 1053; 
UPDATE master_tbl SET geburtsland = 53 WHERE geburtsland = 1054; 
UPDATE master_tbl SET geburtsland = 54 WHERE geburtsland = 1055; 
UPDATE master_tbl SET geburtsland = 55 WHERE geburtsland = 1056; 
UPDATE master_tbl SET geburtsland = 56 WHERE geburtsland = 1057; 
UPDATE master_tbl SET geburtsland = 57 WHERE geburtsland = 1058; 
UPDATE master_tbl SET geburtsland = 58 WHERE geburtsland = 1059; 
UPDATE master_tbl SET geburtsland = 59 WHERE geburtsland = 1060; 
UPDATE master_tbl SET geburtsland = 6 WHERE geburtsland = 1006; 
UPDATE master_tbl SET geburtsland = 60 WHERE geburtsland = 1061; 
UPDATE master_tbl SET geburtsland = 61 WHERE geburtsland = 1062; 

-- Italy appeared twice in the 1.7.x version!
UPDATE master_tbl SET geburtsland = 62 WHERE geburtsland = 1063; 
UPDATE master_tbl SET geburtsland = 62 WHERE geburtsland = 1064; 

UPDATE master_tbl SET geburtsland = 63 WHERE geburtsland = 1065; 
UPDATE master_tbl SET geburtsland = 64 WHERE geburtsland = 1066; 
UPDATE master_tbl SET geburtsland = 65 WHERE geburtsland = 1067; 
UPDATE master_tbl SET geburtsland = 66 WHERE geburtsland = 1068; 
UPDATE master_tbl SET geburtsland = 67 WHERE geburtsland = 1069; 
UPDATE master_tbl SET geburtsland = 68 WHERE geburtsland = 1070; 
UPDATE master_tbl SET geburtsland = 69 WHERE geburtsland = 1071; 
UPDATE master_tbl SET geburtsland = 7 WHERE geburtsland = 1007; 
UPDATE master_tbl SET geburtsland = 70 WHERE geburtsland = 1072; 
UPDATE master_tbl SET geburtsland = 71 WHERE geburtsland = 1073; 
UPDATE master_tbl SET geburtsland = 72 WHERE geburtsland = 1074; 
UPDATE master_tbl SET geburtsland = 73 WHERE geburtsland = 1075; 
UPDATE master_tbl SET geburtsland = 74 WHERE geburtsland = 1076; 
UPDATE master_tbl SET geburtsland = 75 WHERE geburtsland = 1077; 
UPDATE master_tbl SET geburtsland = 76 WHERE geburtsland = 1078; 
UPDATE master_tbl SET geburtsland = 77 WHERE geburtsland = 1079; 
UPDATE master_tbl SET geburtsland = 78 WHERE geburtsland = 1080; 
UPDATE master_tbl SET geburtsland = 79 WHERE geburtsland = 1081; 
UPDATE master_tbl SET geburtsland = 8 WHERE geburtsland = 1008; 
UPDATE master_tbl SET geburtsland = 80 WHERE geburtsland = 1082; 
UPDATE master_tbl SET geburtsland = 81 WHERE geburtsland = 1083; 
UPDATE master_tbl SET geburtsland = 82 WHERE geburtsland = 1084; 
UPDATE master_tbl SET geburtsland = 83 WHERE geburtsland = 1085; 
UPDATE master_tbl SET geburtsland = 84 WHERE geburtsland = 1086; 
UPDATE master_tbl SET geburtsland = 85 WHERE geburtsland = 1087; 
UPDATE master_tbl SET geburtsland = 86 WHERE geburtsland = 1088; 
UPDATE master_tbl SET geburtsland = 87 WHERE geburtsland = 1089; 
UPDATE master_tbl SET geburtsland = 88 WHERE geburtsland = 1090; 
UPDATE master_tbl SET geburtsland = 89 WHERE geburtsland = 1091; 
UPDATE master_tbl SET geburtsland = 9 WHERE geburtsland = 1009; 
UPDATE master_tbl SET geburtsland = 90 WHERE geburtsland = 1092; 
UPDATE master_tbl SET geburtsland = 91 WHERE geburtsland = 1093; 
UPDATE master_tbl SET geburtsland = 92 WHERE geburtsland = 1094; 
UPDATE master_tbl SET geburtsland = 93 WHERE geburtsland = 1095; 
UPDATE master_tbl SET geburtsland = 94 WHERE geburtsland = 1096; 
UPDATE master_tbl SET geburtsland = 95 WHERE geburtsland = 1097; 
UPDATE master_tbl SET geburtsland = 96 WHERE geburtsland = 1098; 
UPDATE master_tbl SET geburtsland = 97 WHERE geburtsland = 1099; 
UPDATE master_tbl SET geburtsland = 98 WHERE geburtsland = 1100; 
UPDATE master_tbl SET geburtsland = 99 WHERE geburtsland = 1101;



SET ROLE postgres;
ALTER TABLE master_tbl ENABLE TRIGGER ALL;

COMMIT;

