BEGIN;

-- Do a remapping of the country-IDs.
-- issue1505
--
-- These scripts correct the IDs the users enteres during the 2.0.0
-- and the 2.0.2 versions. The IDs were generated from the Postgres-Logs
--


ALTER TABLE master_tbl DISABLE TRIGGER USER;
SET ROLE :db_adm;

INSERT INTO db_history (beschreibung, zeitpunkt)
       VALUES ('2.0.2/04_korrektur_laenderliste', current_timestamp);



-- Restore the IDs
UPDATE master_tbl_view SET staatsangehoerigkeit = 174,geburtsland = 174 WHERE id = 1037;




SET ROLE postgres;
ALTER TABLE master_tbl ENABLE TRIGGER USER;

COMMIT;