BEGIN;

-- Do a remapping of the country-IDs.
-- issue1505
--
-- These scripts correct the IDs the users enteres during the 2.0.0
-- and the 2.0.2 versions. The IDs were generated from the Postgres-Logs
--


ALTER TABLE master_tbl DISABLE TRIGGER USER;
SET ROLE :db_adm;

INSERT INTO db_history (beschreibung, zeitpunkt)
       VALUES ('2.0.2/04_korrektur_laenderliste', current_timestamp);



-- Restore the IDs
UPDATE master_tbl_view SET geburtsland = 174,staatsangehoerigkeit = 174 WHERE id = 2205;
UPDATE master_tbl_view SET geburtsland = 131,staatsangehoerigkeit = 131 WHERE id = 2206;
UPDATE master_tbl_view SET geburtsland = 76,staatsangehoerigkeit = 152 WHERE id = 2208;
UPDATE master_tbl_view SET staatsangehoerigkeit = 144,geburtsland = 144 WHERE id = 2211;
UPDATE master_tbl_view SET geburtsland = 174,staatsangehoerigkeit = 174 WHERE id = 2213;
UPDATE master_tbl_view SET geburtsland = 135, staatsangehoerigkeit = 135 WHERE id = 2217;




SET ROLE postgres;
ALTER TABLE master_tbl ENABLE TRIGGER USER;

COMMIT;