# -*- coding: utf-8 -*-

# Quick'n'dirty script to remap the IDs of the countries/citizenship


from xml.dom.minidom import parse
sql = []
liste = []



# Listen laden
datei = 'laender'
#datei = 'staatsangehoerigkeit'
dom_neu = parse('/home/roland/Projekte/mpuls/waska-db-xml/xml_data/%s.xml' % datei)
dom_alt = parse('/home/roland/Projekte/mpuls/waska-db-xml/xml_data/%s-1.7.1.xml' % datei)


def generate_sql(description, new_id, current_id):
    return "UPDATE master_tbl SET schulabschlusserwerbsland = %(new_id)s WHERE schulabschlusserwerbsland = %(current_id)s;" % {'new_id':new_id, 'current_id': current_id}
    #return "UPDATE master_tbl SET schulabschlusserwerbsland = %s WHERE schulabschlusserwerbsland = %s;" % (new_id, current_id)
    #return "UPDATE master_tbl SET staatsangehoerigkeit = %s WHERE staatsangehoerigkeit = %s;" % (new_id, current_id)


# The list of countries is also used for citizenship

#staatsangehoerigkeit_tbl
# - staatsangehoreigkei

#geburtsland_tbl
# - geburtsland
# - schulabschlusserwerbsland



# (The language lists did not change. Included for completenes)
# muttersprache_tbl
# - muttersprache
# - sprache1
# - sprache2
# - sprache3


# Vergleiche die alte mit der neuen Liste

liste_alt = {}
liste_alt_name = {}

liste_neu = {}
liste_neu_name = {}

# List of countries that were renamed

# neue ID: (alte ID, neuer Name, alter Name)
umbenannt = {181: (184, 'Vatikan / Heiliger Stuhl', 'Vatikanstadt'),
            22: (22, 'Brunei Darussalam', 'Brunei'),
            36: (36, "Cte d'Ivoire", 'Elfenbeinkste'),
            104: (106, 'Ehemalige jugoslawische Republik Mazedonien', 'Mazedonien'),
            48: (49, 'Grobritannien / Vereinigtes Knigreich', 'Grobritannien'),
            78: (80, 'Kongo (Demokratische Republik Kongo)', 'Kongo, Demokratische Republik'),
            79: (81, 'Kongo (Republik Kongo)', 'Kongo, Republik'),
            80: (82, 'Korea (Demokratische Volksrepublik, Nordkorea)', 'Korea, Demokratische Volksrepublik'),
            81: (83, 'Korea, (Republik Korea, Sdkorea)', 'Korea, Republik'),
            107: (109, 'Republik Moldau', 'Moldawien'),
            135: (137, 'Russische Fderation', 'Russland'),
            186: (189, 'Weirussland / Belarus', 'Weirussland'),
            123: (125, 'Timor-Leste', 'Osttimor'),
            170: (173, 'Tschechische Republik', 'Tschechien')
            }
for land in dom_neu.getElementsByTagName('bool'):
    liste_neu[land.getAttribute('value')] = (land.getAttribute('description'), land.getAttribute('value'))
    liste_neu_name[land.getAttribute('description')] = (land.getAttribute('description'), land.getAttribute('value'))

for land in dom_alt.getElementsByTagName('bool'):
    liste_alt[land.getAttribute('value')] = (land.getAttribute('description'), land.getAttribute('value'))
    liste_alt_name[land.getAttribute('description')] = (land.getAttribute('description'), land.getAttribute('value'))




# Zunaechst alle IDs um 1000 verschieben
#sql.append('UPDATE staatsangehoerigkeit_tbl SET (value) VALUES (value + 1000);')


# Dann die alten IDs auf die neuen Laender/IDs mappen
for land_id in liste_neu:
    neu_land_name = liste_neu[land_id][0]


    # Renamed?
    if int(land_id) in umbenannt:
        sql.append(generate_sql(liste_neu[land_id][0],
                                    liste_neu[land_id][1],
                                    int(umbenannt[int(land_id)][0]) + 1000))
    else:
        # Already known?
        if neu_land_name in liste_alt_name:
            sql.append(generate_sql(liste_neu[land_id][0],
                        liste_neu[land_id][1],
                        int(liste_alt_name[neu_land_name][1]) + 1000))
        # New country
        else:
            sql.append(generate_sql(liste_neu[land_id][0],
                        liste_neu[land_id][1],
                        int(land_id) + 1000))




# Frankreich war doppelt!!!
sql.append(generate_sql('Frankreich', '41',  41 + 1000))
sql.append(generate_sql('Italien',    '62',  63 + 1000))
sql.append(generate_sql('Spanien',    '152', 154 + 1000))

# Don't forget the standard values
sql.append(generate_sql('Unbekannt', '-3', -3 + 1000))
sql.append(generate_sql('Sonstiges', '-2', -2 + 1000))
sql.append(generate_sql('keine Angabe', '-1', -1 + 1000))




# Alles audgeben
sql.sort()
for item in sql:
    print unicode(item)
    pass
