# -*- coding: utf-8 -*-

import logging

from pylons import app_globals as g

from mpulsweb.lib.base import render, c
from mpulsweb.lib.translation import _

from mpulsweb.controllers.privacy import PrivacyController
from mpulsweb.lib.security import checkRole


class PrivacyController(PrivacyController):
    
    @checkRole('cm')
    def printDiscretionStatement(self, id):
        
        """ WASKA-specific Discretion Statement """
        
        id = self._checkInt(id)
        case = self._loadCase(id)
        statement = case.getDiscretionStatement()
        c.content = statement.fillout()
        return render('privacy/default_statement.mako')

# vim:set ts=4 sw=4 si et sta sts=4 fenc=utf-8: