## -*- coding: utf-8 -*-
<%inherit file="/casemanagement/main.mako" />
<%!  import mpulsweb.lib.helper.filters as F %>
<%def name="buildNavipath()">
  ${parent.buildNavipath()}
  <li><a href="/case/select/${session.get('case').id}/1">${_('cm_np_select')}</a></li>
  <li><a href="/privacy/listStatements">${_('statement_np_list_statements')}</a></li>
</%def>
<h1>${_('Avaliable statements')}</h1>
<div class="widget container">
<h2>Einwilligung</h2>
<p> Deutsch:
  <a href="${h.url_for(controller='/privacy', action='printStatement', id=session.get('case').id)}" target="_blank">
    Einwilligung drucken
  </a>
</p>
<p>
Als PDF-Version verfügbare Einwilligung zum handschriftlichen Ausfüllen:
<table>
  <tr>
    <td class="table_row_h">Arabisch <a href="/documents/ee_ar.pdf">download</a></td>
    <td class="table_row_h">Englisch <a href="/documents/ee_en.pdf">download</a></td>
  </tr>
  <tr>
    <td>Polnisch <a href="/documents/ee_pl.pdf">download</a></td>
    <td>Russisch <a href="/documents/ee_ru.pdf">download</a></td>
  </tr>
  <tr>
    <td class="table_row_h">Türkisch <a href="/documents/ee_tr.pdf">download</a></td>
    <td class="table_row_h">Deutsch (Einwilligungserklärung ohne Hinweise zu Teilnehmernachweisen) <a href="/documents/ee_de_ohnetn.pdf">download</a></td>
  </tr>
</table>
</p>
<br>
<h2>Vereinbarung Förderplan</h2>
<p>
Vereinbarung zwischen dem Jugendlichen und der Kompetenzagentur über einen
gemeinsam ausgearbeiteten Förderplan im Rahmen des Case Managements. Es ist
eine eigene Einverständniserklärung des Jugendlichen und ggf. der
Erziehungsberechtigen einzuholen, wenn der Förderplan bzw. Daten an eine andere
Hilfeinstitution weitergeleitet werden
</p>
<p>
  <a href="${h.url_for(controller='/case', action='print_AidplanStatement', id=session.get('case').id)}" target="_blank">
    Erklärung drucken
  </a>
</p><br>
<h2>Einwilligungserklärung zur Übermittlung von personenbezogenen Daten an die Kompetenzagentur</h2>
<p>
Erklärung zur Schweigepflichtsentbindung von Vertrauenspersonen mit Schweigepflicht gemäß § 203 StGB gegenüber der Kompetenzagentur.
</p>
<p>
  <a href="${h.url_for(controller='/privacy', action='printDiscretionStatement', id=session.get('case').id)}"  target="_blank">
    Erklärung drucken
  </a>
</p>
</div>
